Page MenuHomePhabricator

2015 MediaWiki Developer Summit session proposal: Long-term plan for content representation, editing, caching and skins
Closed, ResolvedPublic

Description

This is more of a placeholder to make sure that these topics are considered somewhere during the summit. Some of this will likely be covered by the 'future of editing' plenary.

Format: Plenary

  • Move to HTML primary storage / wikitext editing? - will try to work this into other session
  • Micro-contributions using Parsoid HTML: API needs, how it could look - kind of covered on first day at high level; detailed discussion of how does not require large group (also see T87556).
  • API-powered front-ends: mobile already very far - will bring it up in SOA session
  • Fast logged-in views for mobile web and desktop: ESI vs. client-side customizations & no-JS fall-back - possibly also SOA session

Event Timeline

GWicke raised the priority of this task from to Needs Triage.
GWicke updated the task description. (Show Details)
GWicke added a subscriber: GWicke.
Qgil triaged this task as Normal priority.Jan 12 2015, 7:58 PM
Qgil added a subscriber: Qgil.Jan 14 2015, 10:32 AM

Please confirm whether you want to run this session at MediaWiki-Developer-Summit-2015 by placing this task in the most appropriate column at the workboard and scheduling it at https://www.mediawiki.org/wiki/MediaWiki_Developer_Summit_2015#Schedule

Qgil raised the priority of this task from Normal to High.Jan 23 2015, 3:59 PM

Ping! You need to either schedule this session at https://www.mediawiki.org/wiki/MediaWiki_Developer_Summit_2015#Schedule or close this task, unless you really want to propoise a last minute improvised session.

GWicke closed this task as Resolved.Jan 27 2015, 3:13 AM
GWicke claimed this task.
GWicke updated the task description. (Show Details)
GWicke set Security to None.

Resolving this as some was already covered. Will try to fold other bits into one of the SOA sessions.